This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1461486 - setroubleshootd is not automatically stopped when sealert cannot find an alert with a specific local id
setroubleshootd is not automatically stopped when sealert cannot find an aler...
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: setroubleshoot (Show other bugs)
7.4
x86_64 Linux
medium Severity medium
: rc
: ---
Assigned To: Petr Lautrbach
Milos Malik
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-14 10:57 EDT by Milos Malik
Modified: 2017-08-08 03:56 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1394905
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milos Malik 2017-06-14 10:57:16 EDT
+++ This bug was initially created as a clone of Bug #1394905 +++

Description of problem:

Version-Release number of selected component (if applicable):
setroubleshoot-server-3.2.28-3.el7.x86_64
setroubleshoot-plugins-3.0.65-1.el7.noarch

How reproducible:
* always

Steps to Reproduce:
1. get a clean RHEL-7.4 machine (targeted policy in enforcing mode)
2. generate an AVC
# passwd --help >& /root/output.txt
3. make sure the AVC is logged
# ausearch -m avc -i
4. list all alerts processed by setroubleshoot daemon
# sealert -l '*'
5. list the only alert using its Local ID, but change the Local ID slightly (for example: delete the last character or replace the last character by another character)
# sealert -l '7fd82c45-5bce-4b7d-a176-f167570ee4c2'

Actual results:
# sealert -l '7fd82c45-5bce-4b7d-a176-f167570ee4c2'
Error
query_alerts error (1003): id (7fd82c45-5bce-4b7d-a176-f167570ee4c2) not found
# ps -efZ | grep setr
system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 setroub+ 10573 1  1 10:54 ? 00:00:00 /usr/bin/python -Es /usr/sbin/setroubleshootd -f
unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 root 10581 10432  0 10:54 pts/0 00:00:00 grep --color=auto setr
# sleep 30
# ps -efZ | grep setr
system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 setroub+ 10573 1  0 10:54 ? 00:00:00 /usr/bin/python -Es /usr/sbin/setroubleshootd -f
unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 root 10584 10432  0 10:55 pts/0 00:00:00 grep --color=auto setr
# 

Expected results:
* setroubleshoot daemon terminates ASAP

Note You need to log in before you can comment on or make changes to this bug.